## docker.io 19.03.4+dfsg2

=== debian/changelog ===
docker.io (19.03.4+dfsg2-2+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 18.06.1+dfsg1-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sat, 26 Jan 2019 01:54:38 +0000]
  * Disable testsuite.

 -- Raspbian forward porter <root@raspbian.org>  Sun, 24 Nov 2019 21:33:26 +0000

docker.io (19.03.4+dfsg2-2) unstable; urgency=medium

  * Removed unused package from Build-Depends.
  * Standards-Version: 4.4.1.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 12 Nov 2019 12:18:22 +1100

docker.io (19.03.4+dfsg2-1) unstable; urgency=medium

  * Bump dfsg version to update orig tarball in the pool.

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Mon, 04 Nov 2019 16:06:27 +0700

docker.io (19.03.4+dfsg1-3) unstable; urgency=medium

  [ Dmitry Smirnov ]
  * get-orig-source.sh: minor shellcheck correction.
  * get-orig-source.sh: consistent/reproducible tarball generation.
  * dev: install "libnetwork/ipvs", as required by Kubernetes.
  * drop "github.com/marstr/guid" (indirect dependency).
  * Un-vendor "golang-github-graylog2-go-gelf-dev".

  [ Arnaud Rebillout ]
  * Stop vendoring docker-go-metrics.
  * Add a patch to fix reverse build-deps against docker/cli.

  [ Dmitry Smirnov ]
  * tighten build-dep
  * disabled unreliable test "TestClientWithRequestTimeout".

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Mon, 04 Nov 2019 14:26:10 +0700

docker.io (19.03.4+dfsg1-2) experimental; urgency=medium

  [ Arnaud Rebillout ]
  * Add patch to fix build against prometheus-client-golang 1.2.1-1

  [ Dmitry Smirnov ]
  * dev to depend on "golang-github-morikuni-aec-dev" (used in
    "pkg/jsonmessage").
  * dev: provide "containerd/labels".

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Wed, 30 Oct 2019 12:19:58 +0700

docker.io (19.03.4+dfsg1-1) experimental; urgency=medium

  * New upstream release [19.03.4].
  * Unvendor a few build dependencies.
  * Drop golang-docker-dev transitional package.

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Sat, 26 Oct 2019 10:39:45 +0700

docker.io (19.03.3+dfsg1-1) experimental; urgency=medium

  * New upstream release [19.03.3].
  * Drop & refresh patches.
  * Update build dependencies.
  * Vendor every dependencies that are missing/outdated in debian.
  * Cherry-pick changes from master (18.09.9+dfsg1-4 to 18.09.9+dfsg2-6).

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Mon, 21 Oct 2019 11:06:43 +0700

docker.io (18.09.9+dfsg2-7) unstable; urgency=medium

  [ Arnaud Rebillout ]
  * Add patch to fix build against prometheus-client-golang 1.2.1-1

  [ Dmitry Smirnov ]
  * get-orig-source.sh: consistent/reproducible tarball generation.
  * dev/install:
    + containerd/labels
    + libnetwork/ipvs

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 31 Oct 2019 19:22:25 +1100

docker.io (18.09.9+dfsg2-6) unstable; urgency=medium

  * (Build-)Depends:
    + golang-github-appc-cni-dev (>= 0.7.1~)
    + golang-github-containerd-go-cni-dev (>= 0.0~git20190904~)
    + golang-github-containernetworking-plugins-dev
    + golang-github-morikuni-aec-dev
  * dev: provide few more containerd components.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 18 Oct 2019 00:05:06 +1100

docker.io (18.09.9+dfsg1-5) unstable; urgency=medium

  [ Arnaud Rebillout ]
  * Drop unused build depends

  [ Dmitry Smirnov ]
  * Patch Docker to use jwt-go v3.
  * Use golang-github-dgrijalva-jwt-go-dev (not -v3).
  * dev: install new "containerd/*" files
         (as required by "singularity-container").

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 08 Oct 2019 14:37:25 +1100

docker.io (18.09.9+dfsg1-4) unstable; urgency=medium

  * d/control: Break/replace/provide containerd-dev (Closes: #941091)
  * d/control: Order and indent a few things

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Wed, 25 Sep 2019 08:07:12 +0700

docker.io (18.09.9+dfsg1-3) unstable; urgency=medium

  [ Arnaud Rebillout ]
  * d/control: Remove duplicate comma in build depends (Closes: #935488)
  * d/control: Standards Version 4.4.0

  [ Dmitry Smirnov ]
  * Provides += golang-github-docker-go-metrics-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 24 Sep 2019 12:45:51 +1000

docker.io (18.09.9+dfsg1-2) unstable; urgency=medium

  * Re-enable engine unit tests again.

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Mon, 16 Sep 2019 13:35:15 +0700

docker.io (18.09.9+dfsg1-1) unstable; urgency=medium

  [ Arnaud Rebillout ]
  * New upstream release [18.09.9].
  * Disable engine unit tests (tmp, until gotestsum makes it to Debian).

  [ Dawid Dziurla ]
  * Install fish completions

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Mon, 16 Sep 2019 11:18:11 +0700

docker.io (18.09.8+dfsg1-1) unstable; urgency=medium

  [ Dmitry Smirnov ]
  * New upstream release [18.09.8].
  * Tighten various dependencies.
  * Update -dev dependencies (for libpod).
  * Backport oci/caps from 19.03.2 (for libpod).
  * Un-vendor golang-github-ishidawataru-sctp-dev.
  * Add upstream patch for libnetwork to build against newer sctp.
  * Add upstream patch to build against
    golang-github-opencontainers-selinux-dev (>= 1.3.0~).
  * No longer disable Go cache to prevent FTBFS with Go 1.12.

  [ Arnaud Rebillout ]
  * github-golang-docker-docker-dev: fix go-metrics install path.
  * github-golang-docker-docker-dev: add replaces/breaks on docker-go-metrics-dev.
  * Add patch to fix Debian security presence check (Closes: #925224).

  [ Reinhard Tartler ]
  * github-golang-docker-docker-dev: add missing sources (Closes: #924257)
  * Additional missing sources for openshift/imagebuilder

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Sat, 14 Sep 2019 10:10:55 +0700

docker.io (18.09.1+dfsg1-9) unstable; urgency=medium

  [ Dmitry Smirnov ]
  * rules: no longer disable Go cache to prevent FTBFS with Go 1.12.

  [ Felix Geyer ]
  * Cherry-pick upstream commits to fix test failures with golang >= 1.11.6-1+deb10u1
  * Add upstream patch for CVE-2019-14271

