=== debian/control ===
Source: docker.io
Section: admin
Priority: optional
Standards-Version: 4.4.1
Maintainer: Arnaud Rebillout <arnaud.rebillout@collabora.com>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
          ,Tim Potter <tpot@hpe.com>
          ,Tianon Gravi <tianon@debian.org>
          ,Paul Tagliamonte <paultag@debian.org>
#Build-Conflicts: golang-github-docker-docker-dev
Build-Depends: debhelper (>= 11~) ,dh-exec ,dh-golang (>= 1.14~)
    ,bash-completion
    ,ca-certificates
    ,git
    ,golang-any (>= 2:1.10~)
    ,go-md2man (>= 1.0.3~)
    ,gogoprotobuf, libprotobuf-dev
    ,golang-dbus-dev (>= 5.0.2~)
    ,golang-etcd-server-dev
    ,golang-github-appc-cni-dev (>= 0.7.1~)
      ,golang-github-containernetworking-plugins-dev
    ,golang-github-armon-go-metrics-dev
    ,golang-github-asaskevich-govalidator-dev
    ,golang-github-aws-aws-sdk-go-dev
    ,golang-github-azure-go-ansiterm-dev
    ,golang-github-bshuster-repo-logrus-logstash-hook-dev
    ,golang-github-bsphere-le-go-dev
    ,golang-github-burntsushi-toml-dev
    ,golang-github-cloudflare-cfssl-dev
    ,golang-github-containerd-btrfs-dev (>= 0.0~git20180306~)
    ,golang-github-containerd-cgroups-dev
    ,golang-github-containerd-console-dev
    ,golang-github-containerd-continuity-dev (>= 0.0~git20190426~)
    ,golang-github-containerd-fifo-dev
    ,golang-github-containerd-go-cni-dev (>= 0.0~git20190904~)
    ,golang-github-containerd-go-runc-dev
    ,golang-github-containerd-typeurl-dev
    ,golang-github-coreos-bbolt-dev (>= 1.3.1-coreos.5-3~)
    ,golang-github-coreos-go-systemd-dev (>= 20~)
    ,golang-github-creack-pty-dev
    ,golang-github-davecgh-go-spew-dev
    ,golang-github-deckarep-golang-set-dev
    ,golang-github-denverdino-aliyungo-dev
    ,golang-github-dgrijalva-jwt-go-dev (>= 3.2.0~)
    ,golang-github-docker-docker-credential-helpers-dev (>= 0.6.1~)
    ,golang-github-docker-go-connections-dev (>= 0.4.0~)
    ,golang-github-docker-go-dev
    ,golang-github-docker-go-metrics-dev
    ,golang-github-docker-go-units-dev (>= 0.4.0~)
    ,golang-github-docker-libkv-dev
    ,golang-github-docker-libtrust-dev
    ,golang-github-docker-notary-dev (>= 0.6.1~) | golang-github-theupdateframework-notary-dev
    ,golang-github-docker-spdystream-dev
    ,golang-github-emicklei-go-restful-dev
    ,golang-github-evanphx-json-patch-dev (>= 4.1.0~)
    ,golang-github-fernet-fernet-go-dev
    ,golang-github-fluent-fluent-logger-golang-dev (>= 1.3.0~)
    ,golang-github-fsnotify-fsnotify-dev
    ,golang-github-garyburd-redigo-dev
    ,golang-github-gofrs-flock-dev
    ,golang-github-gogo-googleapis-dev
    ,golang-github-googleapis-gax-go-dev
    ,golang-github-googleapis-gnostic-dev
    ,golang-github-google-go-cmp-dev (>= 0.2.0~)
    ,golang-github-google-gofuzz-dev
    ,golang-github-google-shlex-dev
    ,golang-github-google-uuid-dev
    ,golang-github-gorilla-mux-dev (>= 1.7.1~)
    ,golang-github-gotestyourself-gotest.tools-dev
    ,golang-github-graylog2-go-gelf-dev (>= 0.0+git20191017~)
    ,golang-github-grpc-ecosystem-go-grpc-prometheus-dev
#   ,golang-github-grpc-ecosystem-grpc-gateway-dev
    ,golang-github-hashicorp-go-version-dev
    ,golang-github-hashicorp-memberlist-dev (>= 0.1.0~)
    ,golang-github-hashicorp-serf-dev
    ,golang-github-ishidawataru-sctp-dev
    ,golang-github-imdario-mergo-dev (>= 0.3.3~)
    ,golang-github-json-iterator-go-dev (>= 1.1.4~)
    ,golang-github-mattn-go-shellwords-dev
    ,golang-github-mattn-go-sqlite3-dev
    ,golang-github-miekg-dns-dev
    ,golang-github-miekg-pkcs11-dev
    ,golang-github-mitchellh-hashstructure-dev
#   ,golang-github-modern-go-concurrent-dev
    ,golang-github-modern-go-reflect2-dev
    ,golang-github-morikuni-aec-dev
    ,golang-github-mrunalp-fileutils-dev
    ,golang-github-ncw-swift-dev
    ,golang-github-opencontainers-go-digest-dev
    ,golang-github-opencontainers-image-spec-dev (>= 1.0.1~)
    ,golang-github-opencontainers-runc-dev (>= 1.0.0~rc8~)
    ,golang-github-opencontainers-selinux-dev (>= 1.3.0~)
    ,golang-github-opencontainers-specs-dev (>= 1.0.1~)
    ,golang-github-opentracing-contrib-go-stdlib-dev
    ,golang-github-opentracing-opentracing-go-dev
    ,golang-github-philhofer-fwd-dev
    ,golang-github-pmezard-go-difflib-dev
    ,golang-github-prometheus-client-golang-dev (>= 0.9.0~)
    ,golang-github-racksec-srslog-dev
    ,golang-github-rcrowley-go-metrics-dev
    ,golang-github-rsc-letsencrypt-dev
    ,golang-github-samuel-go-zookeeper-dev
    ,golang-github-satori-go.uuid-dev
    ,golang-github-seccomp-libseccomp-golang-dev (>= 0.9.1~)
    ,golang-github-shopify-logrus-bugsnag-dev
    ,golang-github-sirupsen-logrus-dev (>= 1.0.2~)
#    ,golang-github-spf13-cobra-dev (>= 0.0.2~)
#    ,golang-github-spf13-pflag-dev
    ,golang-github-stevvooe-ttrpc-dev
    ,golang-github-tchap-go-patricia-dev
    ,golang-github-tinylib-msgp-dev
    ,golang-github-tonistiigi-fifo-dev
    ,golang-github-ugorji-go-codec-dev
    ,golang-github-urfave-cli-dev (>= 1.20.0~)
    ,golang-github-vaughan0-go-ini-dev
    ,golang-github-vbatts-tar-split-dev (>= 0.11.1~)
    ,golang-github-vishvananda-netlink-dev (>= 1.0.0~)
    ,golang-github-vishvananda-netns-dev (>= 0.0~git20170707~)
    ,golang-github-xenolf-lego-dev
#   ,golang-glog-dev
    ,golang-gocapability-dev
    ,golang-golang-x-net-dev
    ,golang-golang-x-oauth2-google-dev | golang-golang-x-oauth2-dev
    ,golang-golang-x-time-dev
    ,golang-google-api-dev
    ,golang-google-cloud-dev
    ,golang-google-grpc-dev
    ,golang-gopkg-check.v1-dev
    ,golang-gopkg-inf.v0-dev
    ,golang-goprotobuf-dev (>= 0.0~git20151207~)
    ,golang-go-zfs-dev
    ,golang-protobuf-extensions-dev
    ,libapparmor-dev
    ,libbtrfs-dev | btrfs-progs (<< 4.16.1~)
    ,libdevmapper-dev
    ,pkg-config
    ,procps
    ,tzdata
Homepage: https://mobyproject.org
Vcs-Browser: https://salsa.debian.org/docker-team/docker
Vcs-Git: https://salsa.debian.org/docker-team/docker.git
XS-Go-Import-Path: github.com/docker/docker

Package: docker.io
Architecture: linux-any
Depends: ${misc:Depends} ,${perl:Depends} ,${shlibs:Depends}
    ,adduser
    ,iptables
    ,lsb-base
    ,runc (>= 1.0.0~rc8~)
    ,tini
Recommends: ${apparmor:Recommends}
    ,ca-certificates
    ,cgroupfs-mount
    ,git
    ,needrestart (>= 3.1~)
    ,xz-utils
Replaces: docker (<< 1.5~)
    ,docker-containerd
    ,docker-runc
    ,golang-libnetwork
Breaks: docker (<< 1.5~)
    ,docker-containerd
    ,docker-runc
    ,golang-libnetwork
Conflicts: docker-containerd
    ,docker-runc
    ,golang-libnetwork
Suggests: docker-doc
    ,aufs-tools
    ,btrfs-progs
    ,debootstrap
    ,e2fsprogs
    ,rinse
    ,xfsprogs
    ,zfs-fuse | zfsutils
Built-Using: ${libc:Built-Using}, ${misc:Built-Using}
Description: Linux container runtime
 Docker complements kernel namespacing with a high-level API which operates at
 the process level. It runs unix processes with strong guarantees of isolation
 and repeatability across servers.
 .
 Docker is a great building block for automating distributed systems:
 large-scale web deployments, database clusters, continuous deployment systems,
 private PaaS, service-oriented architectures, etc.
 .
 This package contains the daemon and client. Using docker.io on non-amd64 hosts
 is not supported at this time. Please be careful when using it on anything
 besides amd64.
 .
 Also, note that kernel version 3.8 or above is required for proper operation of
 the daemon process, and that any lower versions may have subtle and/or glaring
 issues.

Package: vim-syntax-docker
Architecture: all
Depends: vim, ${misc:Depends}
Recommends: vim-addon-manager
Suggests: docker.io
Description: Docker container engine - Vim highlighting syntax files
 This package provides syntax files for the Vim editor for editing Dockerfiles
 from the Docker container engine.

Package: golang-github-docker-docker-dev
Architecture: all
Depends: ${misc:Depends}
    ,golang-github-azure-go-ansiterm-dev
    ,golang-github-containerd-continuity-dev (>= 0.0~git20190426~)
    ,golang-github-docker-distribution-dev (>= 2.7.1~)
    ,golang-github-docker-docker-credential-helpers-dev (>= 0.6.1~)
    ,golang-github-docker-go-connections-dev (>= 0.4.0~)
    ,golang-github-docker-go-metrics-dev
    ,golang-github-docker-go-units-dev (>= 0.4.0~)
    ,golang-github-docker-libkv-dev
    ,golang-github-fsnotify-fsnotify-dev
    ,golang-github-gorilla-mux-dev (>= 1.7.1~)
    ,golang-github-mattn-go-shellwords-dev
    ,golang-github-morikuni-aec-dev
    ,golang-github-opencontainers-go-digest-dev
    ,golang-github-opencontainers-image-spec-dev (>= 1.0.1~)
    ,golang-github-opencontainers-runc-dev (>= 1.0.0~rc8~)
    ,golang-github-opencontainers-selinux-dev (>= 1.3.0~)
    ,golang-github-pkg-errors-dev
    ,golang-github-seccomp-libseccomp-golang-dev (>= 0.9.1~)
    ,golang-github-sirupsen-logrus-dev (>= 1.0.2~)
    ,golang-github-stretchr-testify-dev
    ,golang-github-tchap-go-patricia-dev
    ,golang-golang-x-net-dev
    ,golang-golang-x-sys-dev (>= 0.0~git20190726~)
    ,golang-google-grpc-dev
    ,golang-gopkg-check.v1-dev
# libnetwork:
    ,golang-dbus-dev (>= 3~)
    ,golang-github-burntsushi-toml-dev
    ,golang-github-deckarep-golang-set-dev
    ,golang-github-docker-go-events-dev
    ,golang-github-gogo-protobuf-dev
    ,golang-github-hashicorp-memberlist-dev (>= 0.1.0~)
    ,golang-github-hashicorp-serf-dev
    ,golang-github-ishidawataru-sctp-dev
    ,golang-github-vishvananda-netlink-dev (>= 1.0.0~)
    ,golang-github-vishvananda-netns-dev
# containerd
    ,golang-github-appc-cni-dev (>= 0.7.1~)
      ,golang-github-containernetworking-plugins-dev
    ,golang-github-containerd-fifo-dev
    ,golang-github-tonistiigi-fifo-dev
# moby/buildkit/session
    ,golang-github-opentracing-opentracing-go-dev
Replaces: golang-github-containerd-containerd-dev
    ,golang-github-docker-libnetwork-dev
Breaks: golang-github-containerd-containerd-dev
    ,golang-github-docker-libnetwork-dev
Provides: golang-github-containerd-containerd-dev
    ,golang-github-docker-libnetwork-dev
Description: reusable Go packages included with Docker
 These packages are intentionally developed by upstream in such a way that they
 are reusable to projects outside Docker and only rely on each other or other
 external dependencies to be built.

#Package: golang-github-opencontainers-docker-runc-dev
#Section: oldlibs
#Architecture: all
#Depends: ${misc:Depends}
#    ,golang-github-opencontainers-runc-dev (>= 1.0.0~)
#Description: Open Container Project - development files (Docker's version)
# This is a transitional package to ease upgrades to the
# "golang-github-opencontainers-runc-dev" package. It can safely be removed.

Package: docker-doc
Provides: docker.io-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Linux container runtime -- documentation
 Docker complements kernel namespacing with a high-level API which operates at
 the process level. It runs unix processes with strong guarantees of isolation
 and repeatability across servers.
 .
 Docker is a great building block for automating distributed systems:
 large-scale web deployments, database clusters, continuous deployment systems,
 private PaaS, service-oriented architectures, etc.
 .
 This package contains the daemon and client. Using docker.io on non-amd64 hosts
 is not supported at this time. Please be careful when using it on anything
 besides amd64.
 .
 Also, note that kernel version 3.8 or above is required for proper operation of
 the daemon process, and that any lower versions may have subtle and/or glaring
 issues.
 .
 This package provides documentation for Docker.
