## docker.io 19.03.5+dfsg1

=== debian/changelog ===
docker.io (19.03.5+dfsg1-2) unstable; urgency=medium

  [ Dmitry Smirnov ]
  * Removed unused "golang-github-rsc-letsencrypt-dev" from Build-Depends.
  * Removed unused "golang-github-xenolf-lego-dev" from Build-Depends.
  * Build-Depends += "golang-github-codegangsta-cli-dev"
  * Don't run Btrfs tests ('chown' is not permitted).
  * Removed unused "golang-github-vaughan0-go-ini-dev" fron Build-Depends.

  [ Arnaud Rebillout ]
  * Build-Depends += "gotestsum", drop related patches
  * Drop buildkit patch
  * Update patch that disables hcsshim
  * Add patch to build against vishvananda/libnetwork 1.1.x
  * Add upstream patch to fix test against imdario/mergo 0.3.8

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Thu, 06 Feb 2020 16:00:33 +0700

docker.io (19.03.5+dfsg1-1) unstable; urgency=medium

  [ Dmitry Smirnov ]
  * Added Conflicts with Docker's vendor packages (docker-ce, containerd.io)

  [ Arnaud Rebillout ]
  * New upstream release [19.03.5].

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Wed, 18 Dec 2019 17:51:41 +0700
