=== debian/control ===
--- 
+++ 
@@ -27,6 +27,7 @@
     ,golang-github-bsphere-le-go-dev
     ,golang-github-burntsushi-toml-dev
     ,golang-github-cloudflare-cfssl-dev
+    ,golang-github-codegangsta-cli-dev
     ,golang-github-containerd-btrfs-dev (>= 0.0~git20180306~)
     ,golang-github-containerd-cgroups-dev
     ,golang-github-containerd-console-dev
@@ -98,7 +99,6 @@
     ,golang-github-prometheus-client-golang-dev (>= 0.9.0~)
     ,golang-github-racksec-srslog-dev
     ,golang-github-rcrowley-go-metrics-dev
-    ,golang-github-rsc-letsencrypt-dev
     ,golang-github-samuel-go-zookeeper-dev
     ,golang-github-satori-go.uuid-dev
     ,golang-github-seccomp-libseccomp-golang-dev (>= 0.9.1~)
@@ -112,11 +112,9 @@
     ,golang-github-tonistiigi-fifo-dev
     ,golang-github-ugorji-go-codec-dev
     ,golang-github-urfave-cli-dev (>= 1.20.0~)
-    ,golang-github-vaughan0-go-ini-dev
     ,golang-github-vbatts-tar-split-dev (>= 0.11.1~)
     ,golang-github-vishvananda-netlink-dev (>= 1.0.0~)
     ,golang-github-vishvananda-netns-dev (>= 0.0~git20170707~)
-    ,golang-github-xenolf-lego-dev
 #   ,golang-glog-dev
     ,golang-gocapability-dev
     ,golang-golang-x-net-dev
@@ -130,6 +128,7 @@
     ,golang-goprotobuf-dev (>= 0.0~git20151207~)
     ,golang-go-zfs-dev
     ,golang-protobuf-extensions-dev
+    ,gotestsum
     ,libapparmor-dev
     ,libbtrfs-dev | btrfs-progs (<< 4.16.1~)
     ,libdevmapper-dev
@@ -166,6 +165,10 @@
 Conflicts: docker-containerd
     ,docker-runc
     ,golang-libnetwork
+## Docker's vendor packages:
+    ,docker-ce
+    ,docker-ce-cli
+    ,containerd.io
 Suggests: docker-doc
     ,aufs-tools
     ,btrfs-progs
