=== debian/rules ===
--- 
+++ 
@@ -131,14 +131,14 @@
 #	./man/md2man-all.sh -q
 
 override_dh_auto_test-indep:
-	#DH_GOLANG_EXCLUDES="integration-cli integration test/integration" \
-        #dh_auto_test -v --max-parallel=4 -- -short
+	DH_GOLANG_EXCLUDES="integration-cli integration test/integration" \
+        dh_auto_test -v --max-parallel=4 -- -short
 
 override_dh_auto_test-arch:
 ###     [[[ DO NOT DISABLE TESTS ]]]  [[[ DO *NOT* DISABLE TESTS ]]]
-	#DH_GOLANG_EXCLUDES="integration-cli integration test/integration" \
-        #dh_auto_test -v --max-parallel=4 -- -short
-ifeq (testsuitedisabled,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	DH_GOLANG_EXCLUDES="integration-cli integration test/integration" \
+        dh_auto_test -v --max-parallel=4 -- -short
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 
 	## Test engine:
 #	cd '$(OUR_GOPATH)/src/$(DH_GOPKG)' \
@@ -147,10 +147,6 @@
         && TESTFLAGS='-test.short' ./hack/test/unit
 
 	## Test CLI:
-	# The following scripts were created with a patch,
-	# hence we must set the executable bit by hand.
-	chmod +x $(OUR_GOPATH)/src/github.com/docker/cli/scripts/test/unit
-	chmod +x $(OUR_GOPATH)/src/github.com/docker/cli/scripts/test/unit-with-coverage
 	cd $(OUR_GOPATH)/src/github.com/docker/cli \
         && DISABLE_WARN_OUTSIDE_CONTAINER=1 $(MAKE) test-unit
