=== debian/changelog ===
docker.io (19.03.6-0ubuntu1~19.10.1) eoan; urgency=medium

  * Backport to eoan. (LP: #1863669)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 19 Feb 2020 14:04:38 +1300

docker.io (19.03.6-0ubuntu1) focal; urgency=medium

  * Update to 19.03.6 upstream release

 -- Tianon Gravi <tianon@debian.org>  Tue, 18 Feb 2020 09:03:26 +1300
